## pyzmq 16.0.2

=== docs/requirements.txt ===
cython>=0.20
sphinx>=1.3
https://pypi.python.org/packages/source/g/gevent/gevent-1.1b6.tar.gz

## pyzmq 2.0.10.1

=== debian/changelog ===
pyzmq (2.0.10.1-1) experimental; urgency=low

  * New upstream release.
  * Migrate to dh_python2 and drop Build-Depends on python-support.
  * Fix typo in package descriptions.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 03 Feb 2011 13:50:00 -0430

pyzmq (2.0.10-1) experimental; urgency=low

  * New upstream release.
    - cpython minimum build version bumped to 0.13
  * Add watch file.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 17 Nov 2010 16:14:17 -0430

pyzmq (0.1.20100703+git18f5d06155-1) unstable; urgency=low

  * Initial release. (Closes: #590633)

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 08 Sep 2010 13:50:41 -0430

=== debian/control ===
Source: pyzmq
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.4),
 python-all-dbg (>= 2.4), python-setuptools, cython-dbg (>= 0.13), libzmq-dev
Standards-Version: 3.9.1
X-Python-Version: >= 2.4
Homepage: http://www.zeromq.org/bindings:python
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyzmq/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyzmq/trunk/

Package: python-zmq
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for 0MQ library
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more. 
 
Package: python-zmq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-zmq (= ${binary:Version})
Recommends: python-dbg
Description: Python bindings for 0MQ library - debugging files
 Python bindings for 0MQ. 0MQ is a small, fast, and free
 software library that gives you message-passing concurrency
 for applications in most common languages.
 .
 The 0MQ lightweight messaging kernel is a library which
 extends the standard socket interfaces with features
 traditionally provided by specialised messaging middleware
 products. 0MQ sockets provide an abstraction of asynchronous
 message queues, multiple messaging patterns, message
 filtering (subscriptions), seamless access to multiple
 transport protocols and more. 
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with python2 $@

override_dh_auto_clean:
	-dh_auto_clean
	find zmq -name '*.c' -delete

override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-zmq
	dh_install -X"*_d.so" "debian/tmp/*" -p python-zmq

	# Install the debug extensions to python-zmq-dbg
	dh_install "usr/lib/python*/*-packages/zmq/*/*_d.so" -p python-zmq-dbg

	# Continue with regular dh_install
	dh_install

override_dh_auto_test:
# Almost all tests are broken because OpenPGM doesn't seem to be initialized
# correctly or there is not support for OpenPGM in libzmq0. I don't know if
# #566126 have something to do with this, anyway the affected tests are:
# zmq/tests/test_context.py
# zmq/tests/test_pair.py
# zmq/tests/test_poll.py
# zmq/tests/test_pubsub.py
# zmq/tests/test_reqrep.py
# zmq/tests/test_socket.py
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	for python in $(shell pyversions -r); do \
#		$$python setup.py test; \
#		$$python-dbg setup.py test; \
#	done
#endif

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-zmq-dbg
	find debian/python-zmq-dbg/usr/lib/debug -name '*_d.so' -delete
endif

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--rename  \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

## pyzmq 2.1.7

=== debian/changelog ===
pyzmq (2.1.7-1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Evan Broder <evan@ebroder.net>  Fri, 12 Aug 2011 12:33:07 +0000

pyzmq (2.1.7-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version.
  * Build-depend on zeromq 2.1.7.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Remove all .pyc and .so files during clean. 

  [ Miguel Landaeta ]
  * Update copyright dates and make it DEP-5 compliant.
  * Refresh patches.
  * Enable build-time tests.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 23 May 2011 08:57:59 +0200

pyzmq (2.0.10.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable
  * Add Breaks: ${python:Breaks}

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 15 Feb 2011 09:08:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <miguel@miguel.cc>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.4),
- python-all-dbg (>= 2.4), python-setuptools, cython-dbg (>= 0.13), libzmq-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~),
+ python-all-dev (>= 2.4), python-all-dbg (>= 2.4), python-setuptools, cython-dbg (>= 0.13),
+ libzmq-dev (>= 2.1.7), libzmq-dev (<= 2.1.8)
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
 Homepage: http://www.zeromq.org/bindings:python
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyzmq/trunk
@@ -15,6 +16,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
 Provides: ${python:Provides}
+Breaks: ${python:Breaks}
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for 0MQ library
  Python bindings for 0MQ. 0MQ is a small, fast, and free
@@ -36,6 +38,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-zmq (= ${binary:Version})
 Recommends: python-dbg
+Breaks: ${python:Breaks}
 Description: Python bindings for 0MQ library - debugging files
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with python2 $@

override_dh_auto_clean:
	-dh_auto_clean
	find zmq -name '*.c' -delete
	find zmq -name '*.so' -delete
	rm -f conf/*.pickle

override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-zmq
	dh_install -X"*_d.so" "debian/tmp/*" -p python-zmq

	# Install the debug extensions to python-zmq-dbg
	dh_install "usr/lib/python*/*-packages/zmq/*/*_d.so" -p python-zmq-dbg

	# Continue with regular dh_install
	dh_install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
		for build in \  -dbg; do \
			find zmq -name '*.so' -delete; \
			$$python$$build setup.py build_ext --inplace; \
			$$python$$build setup.py test; \
		done; \
	done
endif

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-zmq-dbg
	find debian/python-zmq-dbg/usr/lib/debug -name '*_d.so' -delete
endif

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--rename  \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

## pyzmq 2.1.9

=== debian/changelog ===
pyzmq (2.1.9-1) unstable; urgency=low

  * New upstream version
    - should build on kFreeBSD without patches (Closes: #637777).
  * Build-depend on zeromq 2.1.9

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 23 Sep 2011 00:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Miguel Landaeta <miguel@miguel.cc>
 Build-Depends: debhelper (>= 7.0.50~),
  python-all-dev (>= 2.4), python-all-dbg (>= 2.4), python-setuptools, cython-dbg (>= 0.13),
- libzmq-dev (>= 2.1.7), libzmq-dev (<= 2.1.8)
+ libzmq-dev (>= 2.1.9), libzmq-dev (<= 2.1.10)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
 Homepage: http://www.zeromq.org/bindings:python

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh --with python2 $@
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	-dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*v([0-9\.]+)/pyzmq-$1\.tar\.gz/ \
https://github.com/zeromq/pyzmq/downloads \
/zeromq/pyzmq/tarball/v([0-9\.]+)

## pyzmq 2.1.10

=== debian/changelog ===
pyzmq (2.1.10-2) unstable; urgency=low

  [ Julian Taylor ]
  * remove python:Provides, python:Breaks and XB-Python-Version
    not needed with dh_python2
  * bump python dependency to >= 2.6.6-3~ for dh_python2
  * do not delete *_d.so files from lib/debug in python-zmq-dbg
    - needed for gdb when using debug interpreter
  * fix dep5 copyright syntax error
  * add python3 packages (Closes: #636484)
  * add a directory existance check to clean target to allow build with
    git-buildpackage --git-overlay

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 05 Dec 2011 21:42:24 +0100

pyzmq (2.1.10-1) unstable; urgency=low

  * New upstream version
  * Build-depend on zeromq 2.1.10

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 22 Nov 2011 14:54:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <miguel@miguel.cc>
 Build-Depends: debhelper (>= 7.0.50~),
- python-all-dev (>= 2.4), python-all-dbg (>= 2.4), python-setuptools, cython-dbg (>= 0.13),
- libzmq-dev (>= 2.1.9), libzmq-dev (<= 2.1.10)
+ python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~), python-setuptools, cython-dbg (>= 0.13),
+ libzmq-dev (>= 2.1.10), libzmq-dev (<= 2.1.11), python3-all-dev (>= 3.2), python3-all-dbg (>= 3.2)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.2
 Homepage: http://www.zeromq.org/bindings:python
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyzmq/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyzmq/trunk/
@@ -15,9 +16,6 @@
 Package: python-zmq
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
-Provides: ${python:Provides}
-Breaks: ${python:Breaks}
-XB-Python-Version: ${python:Versions}
 Description: Python bindings for 0MQ library
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency
@@ -29,7 +27,7 @@
  products. 0MQ sockets provide an abstraction of asynchronous
  message queues, multiple messaging patterns, message
  filtering (subscriptions), seamless access to multiple
- transport protocols and more. 
+ transport protocols and more.
  
 Package: python-zmq-dbg
 Section: debug
@@ -38,7 +36,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-zmq (= ${binary:Version})
 Recommends: python-dbg
-Breaks: ${python:Breaks}
 Description: Python bindings for 0MQ library - debugging files
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency
@@ -50,6 +47,46 @@
  products. 0MQ sockets provide an abstraction of asynchronous
  message queues, multiple messaging patterns, message
  filtering (subscriptions), seamless access to multiple
- transport protocols and more. 
+ transport protocols and more.
  .
  This package contains the extension built for the Python debug interpreter.
+
+Package: python3-zmq
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Description: Python bindings for 0MQ library
+ Python bindings for 0MQ. 0MQ is a small, fast, and free
+ software library that gives you message-passing concurrency
+ for applications in most common languages.
+ .
+ The 0MQ lightweight messaging kernel is a library which
+ extends the standard socket interfaces with features
+ traditionally provided by specialised messaging middleware
+ products. 0MQ sockets provide an abstraction of asynchronous
+ message queues, multiple messaging patterns, message
+ filtering (subscriptions), seamless access to multiple
+ transport protocols and more.
+ .
+ This package contains the extension built for the Python3 interpreter.
+
+Package: python3-zmq-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ python3-zmq (= ${binary:Version})
+Recommends: python-dbg
+Description: Python bindings for 0MQ library - debugging files
+ Python bindings for 0MQ. 0MQ is a small, fast, and free
+ software library that gives you message-passing concurrency
+ for applications in most common languages.
+ .
+ The 0MQ lightweight messaging kernel is a library which
+ extends the standard socket interfaces with features
+ traditionally provided by specialised messaging middleware
+ products. 0MQ sockets provide an abstraction of asynchronous
+ message queues, multiple messaging patterns, message
+ filtering (subscriptions), seamless access to multiple
+ transport protocols and more.
+ .
+ This package contains the extension built for the Python3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS = $(shell py3versions -rv)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	dh_auto_build
	set -e && for pyv in $(PY3VERS); do \
	  python$$pyvers setup.py build ; \
	  python$${pyv}-dbg setup.py build ; \
	done

override_dh_auto_clean:
	-dh_auto_clean
	if [ -d zmq ]; then \
	  find zmq -name '*.c' -delete; \
	  find zmq -name '*.so' -delete; \
	fi
	rm -f conf/*.pickle

override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-zmq
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2.*" -p python-zmq

	# Install the debug extensions to python-zmq-dbg
	dh_install "usr/lib/python2.*/*-packages/zmq/*/*_d.so" -p python-zmq-dbg

	# Install python3 files
	set -e && for pyv in $(PY3VERS); do \
	  python$$pyv setup.py install --install-layout=deb \
		--force --no-compile -O0 --root=$(CURDIR)/debian/python3-zmq; \
	  python$${pyv}-dbg setup.py install --install-layout=deb \
		--force --no-compile -O0 --root=$(CURDIR)/debian/python3-zmq-dbg; \
	done
	# remove a couple of header files already in python3-zmq
	find debian/python3-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete


	# Continue with regular dh_install
	dh_install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
		for build in \  -dbg; do \
			find zmq -name '*.so' -delete; \
			$$python$$build setup.py build_ext --inplace; \
			$$python$$build setup.py test; \
		done; \
	done
	set -e; \
	for python in $(PY3VERS); do \
		for build in \  -dbg; do \
			find zmq -name '*.so' -delete; \
			python$$python$$build setup.py build_ext --inplace; \
			python$$python$$build setup.py test; \
		done; \
	done
endif

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -Xpython3 --dbg-package=python-zmq-dbg
	dh_strip -X"python2.*" --dbg-package=python3-zmq-dbg
endif

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--rename  \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

## pyzmq 2.1.11

=== debian/changelog ===
pyzmq (2.1.11-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release (Closes: #655793)
  * added myself to Uploaders
  * properly clean to allow building twice in a row
  * ignore testsuite result due to random failures on armel and mips
    probably caused by libzmq or toolchain
  * add Python3 to short description of py3 packages
  * wrap-and-sort debian/
  * add python-nose to build depends to get better test result output
  * add python-numpy to build depends to get more tests
  * use githubredir.debian.net in debian/watch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 19 Feb 2012 14:53:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>
-Build-Depends: debhelper (>= 7.0.50~),
- python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~), python-setuptools, cython-dbg (>= 0.13),
- libzmq-dev (>= 2.1.10), libzmq-dev (<= 2.1.11), python3-all-dev (>= 3.2), python3-all-dbg (>= 3.2)
+Uploaders: Miguel Landaeta <miguel@miguel.cc>,
+           Julian Taylor <jtaylor.debian@googlemail.com>
+Build-Depends: cython-dbg (>= 0.13),
+               debhelper (>= 7.0.50~),
+               libzmq-dev (<= 2.1.12),
+               libzmq-dev (>= 2.1.11),
+               python-all-dbg (>= 2.6.6-3~),
+               python-all-dev (>= 2.6.6-3~),
+               python-nose,
+               python-numpy,
+               python-setuptools,
+               python3-all-dbg (>= 3.2),
+               python3-all-dev (>= 3.2)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
@@ -15,7 +24,7 @@
 
 Package: python-zmq
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Description: Python bindings for 0MQ library
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency
@@ -28,13 +37,15 @@
  message queues, multiple messaging patterns, message
  filtering (subscriptions), seamless access to multiple
  transport protocols and more.
- 
+
 Package: python-zmq-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-zmq (= ${binary:Version})
+Depends: python-zmq (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Recommends: python-dbg
 Description: Python bindings for 0MQ library - debugging files
  Python bindings for 0MQ. 0MQ is a small, fast, and free
@@ -53,8 +64,8 @@
 
 Package: python3-zmq
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
-Description: Python bindings for 0MQ library
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: Python3 bindings for 0MQ library
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency
  for applications in most common languages.
@@ -73,10 +84,12 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
- python3-zmq (= ${binary:Version})
+Depends: python3-zmq (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Recommends: python-dbg
-Description: Python bindings for 0MQ library - debugging files
+Description: Python3 bindings for 0MQ library - debugging files
  Python bindings for 0MQ. 0MQ is a small, fast, and free
  software library that gives you message-passing concurrency
  for applications in most common languages.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,11 @@
 	  find zmq -name '*.c' -delete; \
 	  find zmq -name '*.so' -delete; \
 	fi
+	set -e && for pyv in $(PY3VERS); do \
+	  python$$pyv setup.py clean -a; \
+	  python$$pyv-dbg setup.py clean -a; \
+	done
+	find $(CURDIR) -name "*.pyc" -delete
 	rm -f conf/*.pickle
 
 override_dh_install:
@@ -43,7 +48,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; \
+	-set -e; \
 	for python in $(shell pyversions -r); do \
 		for build in \  -dbg; do \
 			find zmq -name '*.so' -delete; \
@@ -51,7 +56,7 @@
 			$$python$$build setup.py test; \
 		done; \
 	done
-	set -e; \
+	-set -e; \
 	for python in $(PY3VERS); do \
 		for build in \  -dbg; do \
 			find zmq -name '*.so' -delete; \

## pyzmq 2.2.0

=== debian/changelog ===
pyzmq (2.2.0-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release
  * update debian/copyright for relicensing of non core files to BSD-3-clause
  * bump standard to 3.9.3, no changes required
  * build with hardening flags

  [ Bernd Zeimetz ]
  * Set DM-Upload-Allowed: yes

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 20 May 2012 17:41:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython-dbg (>= 0.13),
                debhelper (>= 7.0.50~),
-               libzmq-dev (<= 2.1.12),
-               libzmq-dev (>= 2.1.11),
+               dpkg-dev (>= 1.16.1~),
+               libzmq-dev (>= 2.2.0),
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
                python-nose,
@@ -15,12 +15,13 @@
                python-setuptools,
                python3-all-dbg (>= 3.2),
                python3-all-dev (>= 3.2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
 Homepage: http://www.zeromq.org/bindings:python
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyzmq/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyzmq/trunk/
+DM-Upload-Allowed: yes
 
 Package: python-zmq
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 PY3VERS = $(shell py3versions -rv)
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 
 %:
 	dh $@ --with python2,python3

=== debian/watch ===
version=3
opts=filenamemangle=s/.*v([0-9\.]+)/pyzmq-$1/ \
http://githubredir.debian.net/github/zeromq/pyzmq /v([0-9\.]+).tar.gz

## pyzmq 2.2.0.1

=== debian/changelog ===
pyzmq (2.2.0.1-1) experimental; urgency=low

  * New upstream release
  * relicense debian packaging to LGPL-3
  * update watch file to use github directly
    thanks to Bart Martens for the file
  * add autopkgtests
  * drop obsolete DM-Upload-Allowed
  * bump standard to 3.9.4, no changes required

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 24 Feb 2013 19:23:15 +0100

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                python-setuptools,
                python3-all-dbg (>= 3.2),
                python3-all-dev (>= 3.2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
 Homepage: http://www.zeromq.org/bindings:python
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyzmq/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyzmq/trunk/
-DM-Upload-Allowed: yes
+XS-Testsuite: autopkgtest
 
 Package: python-zmq
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,12 +21,10 @@
 	  find zmq -name '*.c' -delete; \
 	  find zmq -name '*.so' -delete; \
 	fi
-	set -e && for pyv in $(PY3VERS); do \
-	  python$$pyv setup.py clean -a; \
-	  python$$pyv-dbg setup.py clean -a; \
-	done
+	rm -rf build
 	find $(CURDIR) -name "*.pyc" -delete
 	rm -f conf/*.pickle
+	rm -f conf/*.json
 
 override_dh_install:
 	# Install everything excluding the *_d.so debug extensions to python-zmq

=== debian/tests/control ===
Tests: python2
Depends: python-all, python-zmq, python-nose, python-numpy, python-tornado, python-gevent

# gevent-dbg broken 661342
# python-zmq-dbg, python-numpy-dbg, python-gevent-dbg

Tests: python3
Depends: python3-all, python3-all-dbg, python3-zmq, python3-zmq-dbg, python3-nose, python3-numpy, python3-numpy-dbg, python3-tornado

## pyzmq 13.1.0

=== debian/changelog ===
pyzmq (13.1.0-1~bpo70+1) wheezy-backports; urgency=low

  * backport to wheezy built against libzmq3
  * depend on cython >= 0.16 from backports

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 21 Sep 2013 12:40:18 +0200

pyzmq (13.1.0-1) unstable; urgency=low

  * New upstream release built with zeromq3 (Closes: #698830)
    - drop all patches
  * workaround-gevent.patch: workaround issue with gevent < 1.0
  * noncopysend-test.patch: avoid uninitialized values in tests
  * update copyright

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 12 May 2013 13:59:20 +0200

pyzmq (2.2.0.1-2) unstable; urgency=low

  [ Julian Taylor ]
  * upload to unstable
  * python-gevent-dbg is fixed, enable python2 dbg autopkgtests
  * cython0.19-compat.patch: fix build with cython 0.19

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 09 May 2013 15:07:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <miguel@miguel.cc>,
            Julian Taylor <jtaylor.debian@googlemail.com>
-Build-Depends: cython-dbg (>= 0.13),
+Build-Depends: cython (>= 0.16),
+               cython-dbg (>= 0.16),
                debhelper (>= 7.0.50~),
                dpkg-dev (>= 1.16.1~),
-               libzmq-dev (>= 2.2.0),
+               libzmq3-dev,
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
                python-nose,
@@ -19,8 +20,8 @@
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
 Homepage: http://www.zeromq.org/bindings:python
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyzmq/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyzmq/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyzmq/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyzmq/trunk/
 XS-Testsuite: autopkgtest
 
 Package: python-zmq

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,11 @@
 	# remove a couple of header files already in python3-zmq
 	find debian/python3-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
 
+	# only for pypy
+	rm -rf debian/python-zmq/usr/lib/python*/dist-packages/zmq/cffi_core/
+	rm -rf debian/python-dbg-zmq/usr/lib/python*/dist-packages/zmq/cffi_core/
+	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/cffi_core/
+	rm -rf debian/python3-dbg-zmq/usr/lib/python*/dist-packages/zmq/cffi_core/
 
 	# Continue with regular dh_install
 	dh_install

=== debian/tests/control ===
Tests: python2
Depends: python-all, python-all-dbg, python-zmq, python-zmq-dbg, python-nose, python-numpy-dbg, python-numpy, python-tornado, python-gevent, python-gevent-dbg

Tests: python3
Depends: python3-all, python3-all-dbg, python3-zmq, python3-zmq-dbg, python3-nose, python3-numpy, python3-numpy-dbg, python3-tornado

## pyzmq 14.0.1

=== debian/changelog ===
pyzmq (14.0.1-1build2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:32 +0100

pyzmq (14.0.1-1build1) trusty; urgency=medium

  * rebuild against zeromq 4 to enable new features

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 19 Feb 2014 21:17:23 +0100

pyzmq (14.0.1-1) unstable; urgency=low

  * New upstream release
    drop upstream applied workaround-gevent.patch
  * cython-error.patch: fix use-after-free due to wrong cython use
  * provide pypy-zmq package
  * build package with pybuild
  * bump cython build depend version to required >= 0.16 (Closes: #721711)
  * run nose with zmq.tests to avoid autopkgtest issues if optional
    dependencies are missing
  * bump X-Python-Version to >= 2.6 as required by 0.13.x
  * bump debhelper to >= 8.1~ for build-arch support
  * remove Miguel Landaeta from Uploaders. (Closes: #728413)
    Thank you for your work.
  * bump standard to 3.9.5, no changes required

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 04 Jan 2014 22:24:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: pyzmq
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>,
-           Julian Taylor <jtaylor.debian@googlemail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython (>= 0.16),
                cython-dbg (>= 0.16),
-               debhelper (>= 7.0.50~),
+               debhelper (>= 8.1~),
+               dh-python (>= 1.20131021-1~),
                dpkg-dev (>= 1.16.1~),
                libzmq3-dev,
+               pypy (>= 2.0.0),
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
                python-nose,
                python-numpy,
                python-setuptools,
+               python3 (>= 3.3.0-2),
                python3-all-dbg (>= 3.2),
                python3-all-dev (>= 3.2)
-Standards-Version: 3.9.4
-X-Python-Version: >= 2.4
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://www.zeromq.org/bindings:python
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyzmq/trunk/
@@ -105,3 +108,26 @@
  transport protocols and more.
  .
  This package contains the extension built for the Python3 debug interpreter.
+
+Package: pypy-zmq
+Architecture: any
+Depends: gcc,
+         libzmq3-dev,
+         pypy (>= 2.2),
+         ${misc:Depends},
+         ${pypy:Depends},
+         ${shlibs:Depends}
+Description: PyPy bindings for 0MQ library
+ Python bindings for 0MQ. 0MQ is a small, fast, and free
+ software library that gives you message-passing concurrency
+ for applications in most common languages.
+ .
+ The 0MQ lightweight messaging kernel is a library which
+ extends the standard socket interfaces with features
+ traditionally provided by specialised messaging middleware
+ products. 0MQ sockets provide an abstraction of asynchronous
+ message queues, multiple messaging patterns, message
+ filtering (subscriptions), seamless access to multiple
+ transport protocols and more.
+ .
+ This package contains the extension built for the PyPy interpreter.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_DESTDIR_python2=debian/python-zmq/
export PYBUILD_DESTDIR_python2-dbg=debian/python-zmq-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-zmq/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-zmq-dbg/
export PYBUILD_DESTDIR_pypy=debian/pypy-zmq/
export PYBUILD_DEBUG=1
export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,pypy --buildsystem=pybuild

override_dh_install:
	dh_install
	# remove a couple of header files already in python3-zmq
	find debian/python3-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
	find debian/python-zmq-dbg/usr/lib/ ! -type d ! -name '*.so' -delete
	# cffi is only used for pypy
	rm -rf debian/python-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	rm -rf debian/python3-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
	# cython core is only used for cpython
	rm -rf debian/pypy-zmq/usr/lib/pypy/dist-packages/zmq/backend/cython

	# build shared libraries for pypy and install them
	pypy -c 'import zmq'
	mv -v zmq/backend/cffi/__pycache__/*so \
	  $(CURDIR)/debian/pypy-zmq/usr/lib/pypy/dist-packages/zmq/backend/cffi
	# put there by install, not needed
	rm -f $(CURDIR)/debian/pypy-zmq/usr/lib/pypy/dist-packages/_cffi*.so

	find debian/python-zmq -depth -empty -exec rmdir {} \;
	find debian/python-zmq-dbg -depth -empty -exec rmdir {} \;
	find debian/python3-zmq -depth -empty -exec rmdir {} \;
	find debian/python3-zmq-dbg -depth -empty -exec rmdir {} \;
	find debian/pypy-zmq -depth -empty -exec rmdir {} \;

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,6 @@
 
 Tests: python3
 Depends: python3-all, python3-all-dbg, python3-zmq, python3-zmq-dbg, python3-nose, python3-numpy, python3-numpy-dbg, python3-tornado
+
+Tests: pypy
+Depends: pypy, pypy-zmq

## pyzmq 14.3.1

=== debian/changelog ===
pyzmq (14.3.1-1) unstable; urgency=medium

  * New upstream release
  * monitor-test.patch: fix test logic for synchronous connects on freebsd
  * ignore test results on mips, hard to debug race condition, no reason to
    delay testing migration (Closes: #750813)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 17 Jun 2014 23:23:35 +0200

pyzmq (14.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 14 May 2014 21:27:23 +0200

pyzmq (14.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 03 May 2014 17:45:57 +0200

pyzmq (14.1.1-1) unstable; urgency=medium

  * New upstream release
    - drop upstream applied cython-error.patch
  * fix minitornado copyright information
    thanks to Thorsten Alteholz for the report
  * bump pypy build dependency to 2.2, required for cffi patch to work.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 04 Apr 2014 16:33:57 +0200

## pyzmq 14.4.0

=== debian/changelog ===
pyzmq (14.4.0-1) unstable; urgency=medium

  * New upstream release
  * refresh patches, remove upstream applied monitor-test.patch
  * built against zeromq with libsodium enabling crypto

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 20 Oct 2014 20:15:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyzmq
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython (>= 0.16),
                cython-dbg (>= 0.16),
@@ -10,7 +9,7 @@
                dh-python (>= 1.20131021-1~),
                dpkg-dev (>= 1.16.1~),
                libzmq3-dev,
-               pypy (>= 2.0.0),
+               pypy (>= 2.2),
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
                python-nose,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 export PYBUILD_DESTDIR_python2=debian/python-zmq/
 export PYBUILD_DESTDIR_python2-dbg=debian/python-zmq-dbg/
 export PYBUILD_DESTDIR_python3=debian/python3-zmq/
@@ -24,6 +25,8 @@
 	rm -rf debian/python-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
 	rm -rf debian/python3-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
 	rm -rf debian/python3-dbg-zmq/usr/lib/python*/dist-packages/zmq/backend/cffi/
+	find debian/python*-zmq/ -name compiler.json -delete
+	find debian/python*-zmq/ -name config.json -delete
 	# cython core is only used for cpython
 	rm -rf debian/pypy-zmq/usr/lib/pypy/dist-packages/zmq/backend/cython
 
@@ -34,8 +37,16 @@
 	# put there by install, not needed
 	rm -f $(CURDIR)/debian/pypy-zmq/usr/lib/pypy/dist-packages/_cffi*.so
 
-	find debian/python-zmq -depth -empty -exec rmdir {} \;
-	find debian/python-zmq-dbg -depth -empty -exec rmdir {} \;
-	find debian/python3-zmq -depth -empty -exec rmdir {} \;
-	find debian/python3-zmq-dbg -depth -empty -exec rmdir {} \;
-	find debian/pypy-zmq -depth -empty -exec rmdir {} \;
+	find debian/python-zmq -depth -type d -empty -exec rmdir {} \;
+	find debian/python-zmq-dbg -type d -depth -empty -exec rmdir {} \;
+	find debian/python3-zmq -depth -type d -empty -exec rmdir {} \;
+	find debian/python3-zmq-dbg -type d -depth -empty -exec rmdir {} \;
+	find debian/pypy-zmq -type d -depth -empty -exec rmdir {} \;
+
+override_dh_auto_test:
+# hard to debug race condition in monitor sockets
+ifneq (,$(filter $(ARCHITECTURE), mipsel mips))
+	-dh_auto_test
+else
+	dh_auto_test
+endif

## pyzmq 14.4.1

=== debian/changelog ===
pyzmq (14.4.1-0ubuntu5) wily; urgency=medium

  * Add missing build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Jul 2015 17:34:09 +0200

pyzmq (14.4.1-0ubuntu4) wily; urgency=medium

  * No-change rebuild against PyPy 2.6.0.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 04 Jul 2015 11:24:42 -0700

pyzmq (14.4.1-0ubuntu3) vivid; urgency=medium

  * Skip test_ssh, it fails under autopkgtest.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 12 Feb 2015 11:01:02 -0800

pyzmq (14.4.1-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against PyPy 2.5.0.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 12 Feb 2015 08:23:19 -0800

pyzmq (14.4.1-0ubuntu1) vivid; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Jan 2015 09:27:05 +0000

pyzmq (14.4.0-1build1) vivid; urgency=medium

  * No-change rebuild against PyPy 2.4.0

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 26 Oct 2014 09:47:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyzmq
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython (>= 0.16),
                cython-dbg (>= 0.16),
@@ -15,9 +16,14 @@
                python-nose,
                python-numpy,
                python-setuptools,
+               python-cffi, python-cffi-backend-dbg,
+               python-gevent, python-gevent-dbg,
                python3 (>= 3.3.0-2),
                python3-all-dbg (>= 3.2),
-               python3-all-dev (>= 3.2)
+               python3-all-dev (>= 3.2),
+               python3-setuptools,
+               python3-cffi, python3-cffi-backend-dbg,
+               python3-gevent, python3-gevent-dbg,
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## pyzmq 15.2.0

=== debian/changelog ===
pyzmq (15.2.0-1ubuntu1) yakkety; urgency=medium

  * debian/patches/draft-api.patch:
    - Cherry-pick commit from upstream to not expect draft APIs in the new
      4.2.0 zeromq version - slightly modified to not use pytest and just skip
      the draft API tests, as they're not enabled. This fixes the failing
      constants unit tests against the new zeromq3 snapshot.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 29 Sep 2016 12:03:25 +0200

pyzmq (15.2.0-1fakesync1) yakkety; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Aug 2016 15:17:59 +0200

pyzmq (15.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julian Taylor ]
  * New upstream release.
  * debian/patches/skip_large_send: skip high memory using test
  * debian/patches/thread_auth_fixes: attempt to fix test hangs on ports
  * remove asyncio.py from python2, syntax not compatible
  * bump standard to 3.9.7, no changes necessary

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 20 Apr 2016 20:38:06 +0200

pyzmq (15.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add LGPL-3 exemption for linking.
  * Build-Depend on python{,3}-tornado.
  * Delete _test_asyncio.py from Python 2.x packages, to avoid a byte
    compilation failure at install time.
  * Patch upstream tests to allocate a buffer for zmq_getsockopt to write to.
  * Handle the lack of a pypy-tornado by skipping the tests.
  * Drop the absolute import patch, and instead discover tests by module, not
    path.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 10 Jan 2016 09:44:33 -0800

pyzmq (14.4.0-4) unstable; urgency=medium

  [ Vincent Bernat ]
  * Also B-D on python3-cffi-backend-dbg.

  [ Julian Taylor ]
  * fix test import failure due to missing python3 gevent
    (Closes: #800732)
  * remove obsolete XS-Testsuite
  * bump to debian/compat 9

 -- Vincent Bernat <bernat@debian.org>  Thu, 17 Sep 2015 08:14:19 +0200

pyzmq (14.4.0-3) unstable; urgency=medium

  * CFFI backend was relying on the presence of gcc to get the multiarch
    triplet. Get this information from sys instead. This should fix the
    autopkgtest.

 -- Vincent Bernat <bernat@debian.org>  Tue, 15 Sep 2015 21:07:17 +0200

pyzmq (14.4.0-2) unstable; urgency=medium

  * Add missing python{,3}-cffi, python-cffi-backend-dbg,
    python-gevent{,-dbg} and python-numpy-dbg build-dependencies to run
    tests.  Closes: #796930.
  * Bump Standard To 3.9.6.
  * Add myself to uploaders.
  * Remove runtime dependency on gcc and libzmq3-dev.

 -- Vincent Bernat <bernat@debian.org>  Sat, 29 Aug 2015 22:32:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
+Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>, Vincent Bernat <bernat@debian.org>
 Build-Depends: cython (>= 0.16),
                cython-dbg (>= 0.16),
-               debhelper (>= 8.1~),
+               debhelper (>= 9~),
                dh-python (>= 1.20131021-1~),
                dpkg-dev (>= 1.16.1~),
                libzmq3-dev,
@@ -14,23 +14,21 @@
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
                python-nose,
-               python-numpy,
+               python-numpy, python-numpy-dbg,
+               python-gevent, python-gevent-dbg,
+               python-cffi, python3-cffi,
+               python-cffi-backend-dbg, python3-cffi-backend-dbg,
                python-setuptools,
-               python-cffi, python-cffi-backend-dbg,
-               python-gevent, python-gevent-dbg,
+               python-tornado, python3-tornado,
                python3 (>= 3.3.0-2),
                python3-all-dbg (>= 3.2),
-               python3-all-dev (>= 3.2),
-               python3-setuptools,
-               python3-cffi, python3-cffi-backend-dbg,
-               python3-gevent, python3-gevent-dbg,
-Standards-Version: 3.9.5
+               python3-all-dev (>= 3.2)
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://www.zeromq.org/bindings:python
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyzmq/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyzmq/trunk/
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyzmq.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyzmq.git
 
 Package: python-zmq
 Architecture: any
@@ -116,9 +114,7 @@
 
 Package: pypy-zmq
 Architecture: any
-Depends: gcc,
-         libzmq3-dev,
-         pypy (>= 2.2),
+Depends: pypy (>= 2.2),
          ${misc:Depends},
          ${pypy:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export PYBUILD_DESTDIR_python3=debian/python3-zmq/
 export PYBUILD_DESTDIR_python3-dbg=debian/python3-zmq-dbg/
 export PYBUILD_DESTDIR_pypy=debian/pypy-zmq/
+export PYBUILD_TEST_ARGS_python3=-s zmq.tests
+export PYBUILD_TEST_ARGS_python3-dbg=-s zmq.tests
 export PYBUILD_DEBUG=1
 export DH_VERBOSE=1
 
@@ -29,6 +31,9 @@
 	find debian/python*-zmq/ -name config.json -delete
 	# cython core is only used for cpython
 	rm -rf debian/pypy-zmq/usr/lib/pypy/dist-packages/zmq/backend/cython
+	# yield from isn't byte-compileable in Python 2.x
+	find debian/python-zmq debian/pypy-zmq -name '*test_asyncio.py' -delete
+	find debian/python-zmq debian/pypy-zmq -name '*asyncio.py' -delete
 
 	# build shared libraries for pypy and install them
 	pypy -c 'import zmq'
